Loading...
Searching...
No Matches
ArrayRefContainer< T > Class Template Reference

## Public Types

using | ValueType = T
using | Parent = std::vector<T>
using | value_type = typename Parent::value_type
using | allocator_type = typename Parent::allocator_type
using | reference = typename Parent::reference
using | const_reference = typename Parent::const_reference
using | pointer = typename Parent::pointer
using | const_pointer = typename Parent::const_pointer
using | iterator = typename Parent::iterator
using | const_iterator = typename Parent::const_iterator
using | reverse_iterator = typename Parent::reverse_iterator
using | const_reverse_iterator = typename Parent::const_reverse_iterator
using | difference_type = typename Parent::difference_type
using | size_type = typename Parent::size_type

## Public Member Functions

| ArrayRefContainer (const size_t n, const ValueType &value=ValueType())
| ArrayRefContainer (const ArrayRefContainer &other)
template<typename InputIterator>
| ArrayRefContainer (InputIterator first, InputIterator last)
void | reref ()
bool | deref ()
unsigned int | ref () const

## Public Attributes

unsigned int | m_ref
std::vector< T > | data

The documentation for this class was generated from the following file:

- array.h